import javax.swing.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class zarfrekansiSWF extends JFrame implements ActionListener
{
  int toplamzaratisi=0;
  int toplam=0;
  JTextField ilkzar,ikincizar;
  JButton salla; //zar atma düğmesi
  JTextArea cikti;
  int zar1,zar2;
  int zarfrekansi[];

  public static int zar()
  {
  return 1+(int)(Math.random()*6);
  }

  public zarfrekansiSWF()
  {
  //programi baslat
  super("Zar frekansı swing JFrame");
  zarfrekansi=new int[6];
  Container c=getContentPane();
  c.setLayout(new FlowLayout());
  ilkzar=new JTextField(10); // JTextfield sinifi ilkzar nesnesini yarat
  c.add(ilkzar);              // ilk zar nesnesini pencereye ekle
  ikincizar=new JTextField(10);// Textfield sinifi ikincizar nesnesini yarat
  c.add(ikincizar);               // ikinci zar nesnesini pencereye ekle
  salla=new JButton("Zari salla ve at");
  c.add(salla);
  salla.addActionListener(this);
  cikti=new JTextArea();
  cikti.setBackground(c.getBackground());
  c.add(cikti);
  }

  public void actionPerformed(ActionEvent e)
  {
  String s="";
  zar1=zar();
  zar2=zar();
  ilkzar.setText(Integer.toString(zar1));
  ikincizar.setText(Integer.toString(zar2));
  toplam+=(zar1+zar2);
  toplamzaratisi++;
  // not boyutlu degisken indeksi 0 dan basliyor.
  zarfrekansi[zar1-1]++;
  zarfrekansi[zar2-1]++;
    s+="toplam =  "+toplam+"  Atilan zar sayisi = "+toplamzaratisi+"\n";
     for(int i=0;i<6;i++)
     {
     s+=zarfrekansi[i]+" kere "+(i+1)+" atildi \n";
     }
  cikti.setText(s);
  repaint();
  }
      //=====================================================
      public static void main(String[] args)
      {
      zarfrekansiSWF pencere= new zarfrekansiSWF();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(450,200);
      pencere.setVisible(true);
      }
}

